Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\Repository\Values\Content\TrashItem Class Reference

this class represents a trash item, which is actually a trashed location. More...

Inheritance diagram for eZ\Publish\Core\Repository\Values\Content\TrashItem:

## Public Member Functions
| getContentInfo ()
| Returns the content info of the content object of this trash item. More...
| __get ($property)
| Magic getter for retrieving convenience properties. More...
| __isset ($property)
| Magic isset for signaling existence of convenience properties. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\Content\Location
| isDraft ()
| Returns true if current location is a draft. More...
| getContent ()
| getSortClauses ()
| Get SortClause objects built from Locations's sort options. More...
Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| __construct (array $properties=[])
| Construct object optionally with a set of properties. More...
| __set ($property, $value)
| Magic set function handling writes to non public properties. More...
| __unset ($property)
| Magic unset function handling unset() to non public properties. More...
| attribute ($property)
| Internal function for Legacy template engine compatibility to get property value. More...
| attributes ()
| Internal function for Legacy template engine compatibility to get properties. More...
| hasAttribute ($property)
| Internal function for Legacy template engine compatibility to check existence of property. More...

## Protected Member Functions
| getProperties ($dynamicProperties=['contentId', 'path'])
| Function where list of properties are returned. More...
Protected Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
| getProperties ($dynamicProperties=[])
| Function where list of properties are returned. More...

## Protected Attributes
| $contentInfo
| $path
Protected Attributes inherited from eZ\Publish\API\Repository\Values\Content\TrashItem
| $trashed
Protected Attributes inherited from eZ\Publish\API\Repository\Values\Content\Location
| $id
| $priority
| $hidden
| $invisible
| $explicitlyHidden
| $remoteId
| $parentLocationId
| $pathString
| $depth
| $sortField
| $sortOrder
| $content

## Additional Inherited Members
Static Public Member Functions inherited from eZ\Publish\API\Repository\Values\ValueObject
static | __set_state (array $array)
| Returns a new instance of this class with the data specified by $array. More...
Public Attributes inherited from eZ\Publish\API\Repository\Values\Content\Location
const | SORT_FIELD_PATH = 1
const | SORT_FIELD_PUBLISHED = 2
const | SORT_FIELD_MODIFIED = 3
const | SORT_FIELD_SECTION = 4
const | SORT_FIELD_DEPTH = 5
const | SORT_FIELD_CLASS_IDENTIFIER = 6
const | SORT_FIELD_CLASS_NAME = 7
const | SORT_FIELD_PRIORITY = 8
const | SORT_FIELD_NAME = 9
const | SORT_FIELD_MODIFIED_SUBNODE = 10
const | SORT_FIELD_NODE_ID = 11
const | SORT_FIELD_CONTENTOBJECT_ID = 12
const | SORT_ORDER_DESC = 0
const | SORT_ORDER_ASC = 1
const | STATUS_DRAFT = 0
const | STATUS_PUBLISHED = 1
const | SORT_FIELD_MAP
| Map for Location sort fields to their respective SortClauses. More...
const | SORT_ORDER_MAP
| Map for Location sort order to their respective Query SORT constants. More...
| $status = self::STATUS_PUBLISHED

## Detailed Description

this class represents a trash item, which is actually a trashed location.

Meant for internal use by Repository, type hint against API object instead.

Definition at line 16 of file Core/Repository/Values/Content/TrashItem.php.

## Member Function Documentation

## ◆ __get()

eZ\Publish\Core\Repository\Values\Content\TrashItem::__get | ( |  | $property | ) |

Magic getter for retrieving convenience properties.

Parameters

  string | $property | The name of the property to retrieve

Returns
  mixed

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 61 of file Core/Repository/Values/Content/TrashItem.php.

References eZ\Publish\Core\Repository\Values\Content\TrashItem\$path.

## ◆ __isset()

eZ\Publish\Core\Repository\Values\Content\TrashItem::__isset | ( |  | $property | ) |

Magic isset for signaling existence of convenience properties.

Parameters

  string | $property |

Returns
  bool

Reimplemented from eZ\Publish\API\Repository\Values\ValueObject.

Definition at line 87 of file Core/Repository/Values/Content/TrashItem.php.

## ◆ getContentInfo()

eZ\Publish\Core\Repository\Values\Content\TrashItem::getContentInfo | ( |  | ) |

Returns the content info of the content object of this trash item.

Returns
  \eZ\Publish\API\Repository\Values\Content\ContentInfo

Reimplemented from eZ\Publish\API\Repository\Values\Content\Location.

Definition at line 33 of file Core/Repository/Values/Content/TrashItem.php.

References eZ\Publish\Core\Repository\Values\Content\TrashItem\$contentInfo.

## ◆ getProperties()

eZ\Publish\Core\Repository\Values\Content\TrashItem::getProperties | ( |  | $dynamicProperties = `['contentId'`,
|  | 'path'] |
| ) |  |
| protected

Function where list of properties are returned.

Override to add dynamic properties

@uses \parent::getProperties()

Parameters

  array | $dynamicProperties |

Returns
  array

Definition at line 49 of file Core/Repository/Values/Content/TrashItem.php.

## Member Data Documentation

## ◆ $contentInfo

eZ\Publish\Core\Repository\Values\Content\TrashItem::$contentInfo
| protected

Definition at line 23 of file Core/Repository/Values/Content/TrashItem.php.

Referenced by eZ\Publish\Core\Repository\Values\Content\TrashItem\getContentInfo().

## ◆ $path

eZ\Publish\Core\Repository\Values\Content\TrashItem::$path
| protected

Definition at line 26 of file Core/Repository/Values/Content/TrashItem.php.

Referenced by eZ\Publish\Core\Repository\Values\Content\TrashItem\__get().

The documentation for this class was generated from the following file:

- Core/Repository/Values/Content/TrashItem.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.